%global momorel 2
Summary: Enhanced c-shell
Summary(de): Erweiterte C-Shell
Name: tcsh
Version: 6.13.00
Release: %{momorel}m
License: Modified BSD
Group: System Environment/Shells
#Source0: ftp://ftp.astron.com/pub/tcsh/%{name}-%{version}.tar.gz
Source0: http://www2.wbs.ne.jp/~znc/tcsh/%{name}-%{version}.tar.gz
NoSource: 0
Source1: http://www2.wbs.ne.jp/~znc/tcsh/%{name}-%{version}.add.tar.gz
NoSource: 1
Source101: tab.dot.tcshrc
Source102: tab.aliases.tcsh
Source103: tab.complete.tcsh
Source104: tab.hosts.tcsh
Source105: tab.set.tcsh
Source106: toms.cshrc
#
Patch0: tcsh-6.12.01-getutent.patch
Patch1: tcsh-6.08.02-termios.patch
#Patch2: tcsh-6.08.02-kanji.patch
#Patch3: tcsh-6.09.00-static.patch
Patch3: tcsh-6.13.00-static.patch
Patch11: tcsh.glibc222.time.patch
Patch12: nlsfile.LANG.patch
#Patch13: finnish.nls.patch
#Patch14: tcsh-6.11.00-EUC-JP.patch
#Patch15: tcsh-6.12.01-enhanced.patch
Provides: csh
Provides: /bin/csh
Prereq: fileutils grep
BuildPreReq: perl gawk
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www2.wbs.ne.jp/~znc/tcsh/

%description
'tcsh' is an enhanced version of csh (the C shell), with additional features
such as command history, filename completion, and fancier prompts.

%prep
%setup -q -a 1
%patch0 -p1 -b .getutent
%patch1 -p1 -b .termios
#%%patch2 -p1 -b .kanji
%patch3 -p1 -b .static
pushd %{name}-%{version}.add
  perl -p -i -e "s,TCSHORG=tcsh-.*$,TCSHORG=," merge.sh
  sh merge.sh
popd
%patch11 -p1
%patch12 -p1
#%%patch13 -p1
#%%patch14 -p1
#%%patch15 -p0 -b .enhanced~

cd nls
mv et et_EE
mv finnish fi_FI
mv french fr_FR
mv german de_DE
mv greek el_GR
mv italian it_IT
mv ja ja_JP
mv russian ru_RU
mv spanish es_ES
mv ukrainian uk_UA
mv pl pl_PL

%build
%configure --prefix=%{_prefix} --bindir=/bin
%make all catalogs

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mandir}/man1 %{buildroot}/bin
for i in C et_EE fi_FI fr_FR de_DE el_GR it_IT ja_JP ru_RU es_ES uk_UA pl_PL
do
  mkdir -p %{buildroot}%{_datadir}/locale/`echo $i | awk -F_ '{print $1}'`/LC_MESSAGES
  install -m 644 tcsh.$i.cat %{buildroot}%{_datadir}/locale/`echo $i | awk -F_ '{print $1}'`/LC_MESSAGES/tcsh
done
install -m 755 -s tcsh %{buildroot}/bin/tcsh
install -m 644 tcsh.man %{buildroot}%{_mandir}/man1/tcsh.1

ln -sf tcsh %{buildroot}/bin/csh
nroff -me eight-bit.me > eight-bit.txt

mkdir -p %{buildroot}%{_datadir}/tcsh
for i in tcsh.ja.*.cat
do
  install -m 644 $i %{buildroot}%{_datadir}/tcsh
done

mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE101} %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE102} %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE103} %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE104} %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE105} %{buildroot}%{_datadir}/config-sample/%{name}
install -m 644 %{SOURCE106} %{buildroot}%{_datadir}/config-sample/%{name}

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/tcsh" > /etc/shells
	echo "/bin/csh" > /etc/shells
else
	grep '^/bin/tcsh$' /etc/shells > /dev/null || echo "/bin/tcsh" >> /etc/shells
	grep '^/bin/csh$' /etc/shells > /dev/null || echo "/bin/csh" >> /etc/shells
fi

%postun
if [ ! -x /bin/tcsh ]; then
	grep -v '^/bin/tcsh$' /etc/shells | grep -v '^/bin/csh$'> /etc/shells.rpm
	mv /etc/shells.rpm /etc/shells
fi

%files
%defattr(-,root,root)
%doc NewThings FAQ eight-bit.txt complete.tcsh tcsh-%{version}.add/{HISTORY.additional,HowToMakeNLS.euc,README.additional,from_author}
/bin/tcsh
/bin/csh
%{_mandir}/man1/tcsh.1*
%{_datadir}/locale/*/LC_MESSAGES/tcsh*
%{_datadir}/tcsh
%dir %{_datadir}/config-sample/%{name}
%{_datadir}/config-sample/%{name}/*

%clean
rm -rf %{buildroot}

%changelog
* Sat Jun 11 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (6.13.00-2m)
- remove a sample .tcshrc

* Sat May 21 2004 TABUCHI Takaaki <tab@momonga-linuxx.org>
- (6.13.00-1m)
- version up to 6.13.00
- comment out included Patch2: tcsh-6.08.02-kanji.patch
- update kludge Patch3
- update Patch12
- comment out Patch13, the patch was obsoleted by Patch12
- tmp comment out Patch14
- comment out Patch15: tcsh-6.12.01-enhanced.patch

* Wed Oct 29 2003 zunda <zunda at freeshell.org>
- (6.12.01-3m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft).
- please note that pl_PL nls catalog, which is currently not included in
  the package seems to be licensed under GPL

* Sat May  3 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (6.12.01-2m)
- tcsh works as if "complete" shell variable being set to "enhanced"
  even if it is not set. 
  To fix this bug, tcsh-6.12.01-enhanced.patch was added.

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linuxx.org>
- (6.12.01-1m)
- update to 6.12.01
- delete unused define
- use rpm macros
- update patch10

* Thu Jul 25 2002 Tsutomu Yasuda <tom@tom.homelinux.org>
- (6.12.00-1m)
  update to 6.12.00

* Sun May 19 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (6.11.02-2k)
- update to 6.11.02.

* Tue Apr 30 2002 Toru Hoshina <t@kondara.org>
- (6.11.01-4k)
- provide /bin/csh explicitly.

* Tue Apr 23 2002 TABUCHI Takaaki <tab@kondara.org>
- (6.11.01-2k)
- update verion 6.11.01
- change Source0 URI, Could not connet to ftp.astron.com
- changte (6.11.00-16k) changelog typo
- patch5: tcsh-6.09.04-strlangeuc.patch is now included

* Tue Dec 11 2001 Tsutomu Yasuda <tom@kondara.org>
- (6.11.00-16k)
  include my .cshrc

* Mon Dec 10 2001 TABUCHI Takaaki <tab@kondara.org>
- (6.11.00-14k)
- add tab.dot.tcshrc and etc. (sourc101..105) as sample

* Wed Nov 21 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (6.11.00-12k)
- add tcsh-6.11.00-EUC-JP.patch for locale ja_JP.EUC-JP

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (6.11.00-10k)
- nigittenu

* Mon Nov 12 2001 Motonobu Ichimura <famao@kondara.org>
- (6.11.00-6k)
- add %dir %{_datadir}/config-sample/%{name}

* Mon Oct 29 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (6.11.00-4k)
- add dyky.tcshrc as sample

* Mon Sep 10 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (6.11.00-2k)
  update to 6.11

* Fri Aug 17 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (6.10.02-2k)
- update to 6.10.02
- add Polish catalogue for new version

* Tue Aug  7 2001 Toru Hoshina <toru@df-usa.com>
- (6.10.01-6k)
- no more ifarch alpha.

* Mon May 14 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (6.10.01-4k)
- build catalog file with LANG environment
- modified typo in finnish catalog

* Sat May 12 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (6.10.01-2k)
- update to 6.10.01

* Tue May  8 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (6.10.00-6k)
- include *.m files

* Thu Mar 15 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (6.10.00-4k)
- rebuild against glibc-2.2.2 and add tcsh.glibc222.time.patch

* Wed Nov 22 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (6.10.00-1k)
- update to 6.10

* Sun Nov 19 2000 AYUHANA Tomonori <l@kondara.org>
- (6.09.04-1k)
- version 6.09.04
- use %configure
- add tcsh-6.09.04-strlangeuc.patch

* Thu Jul 20 2000 AYUHANA Tomonori <l@kondara.org>
- (6.09.03-1k)
- version up 6.09.01 to 6.09.03
- catalogue version up 6.09.01 to 6.09.03
- change %patch0 to %patch10 (for offset)
- add %patch4 (for ja.lamhirh in Makefile)
- rebuild against glibc-2.1.91

* Wed Jul 06 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Thu Mar  9 2000 Shingo Akagaki <dora@kondara.org>
- BuildPreReq: perl

* Wed Mar  8 2000 MATSUDA, Daiki <dyky@df-usa.com>
- update to 6.09.01
- include some original catalogs

* Thu Mar 02 2000 Shingo Akagaki <dora@kondara.org>
- use static link

* Sat Dec 11 1999 Shingo Akagaki <dora@kondara.org>
- fix spec file

* Sat Nov 27 1999 Toru Hoshina <t@kondara.org>
- use ja instead of ja_JP.ujis.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Tue Sep 28 1999 Tsutomu Yasuda <_tom_@sf.airnet.ne.jp>
- updated to 6.09

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 6.07; added BuildRoot
- cleaned up the spec file; fixed source url

* Wed Sep 03 1997 Erik Troan <ewt@redhat.com>
- added termios hacks for new glibc
- added /bin/csh to file list

* Fri Jun 13 1997 Erik Troan <ewt@redhat.com>
- built against glibc

* Fri Feb 07 1997 Erik Troan <ewt@redhat.com>
 - Provides csh, adds and removes /bin/csh from /etc/shells if csh package
isn't installed.

%description
'tcsh' is an enhanced version of csh (the C shell), with additional features
such as command history, filename completion, and fancier prompts.

%description -l de
'tcsh' ist eine erweiterte Version von csh (der C-Shell) mit zustzlichen
